読者です 読者をやめる 読者になる 読者になる

黒縁眼鏡は海を飛ぶ

IT中心にそこはかとなく

Net-SSLeayのビルドに失敗する件

ゆーすけべーさんのPerlについて語ろうの中で、男のロマンでもあるおっぱい画像収集スクリプトの紹介があります。
(なんかこう書くとただの変態な本みたいですが、モジュールの使用方法とかその他諸々の説明のための例示です。)

で、実際1つ1つモジュールの使い方を確認しながら写経して、とりあえずできたので実行したところ…


501 Protocol scheme 'https' is not supported (LWP::Protocol::https not installed)


LWP::Protocol::httpsが入ってないってことでしょうか。

どっこい、cpanmとかで該当モジュールをインストールしてこようとしても失敗してしまします。

--> Working on LWP::Protocol::https
Fetching http://www.cpan.org/authors/id/G/GA/GAAS/LWP-Protocol-https-6.04.tar.gz ... OK
Configuring LWP-Protocol-https-6.04 ... OK
==> Found dependencies: IO::Socket::SSL
--> Working on IO::Socket::SSL
Fetching http://www.cpan.org/authors/id/S/SU/SULLR/IO-Socket-SSL-1.953.tar.gz ... OK
Configuring IO-Socket-SSL-1.953 ... OK
==> Found dependencies: Net::SSLeay
--> Working on Net::SSLeay
Fetching http://www.cpan.org/authors/id/M/MI/MIKEM/Net-SSLeay-1.55.tar.gz ... OK
Configuring Net-SSLeay-1.53 ... OK
Building and testing Net-SSLeay-1.53 ... FAIL
! Installing Net::SSLeay failed. See /home/fogefoge/.cpanm/build.log for details.
! Bailing out the installation for IO-Socket-SSL-1.953. Retry with --prompt or --force.
! Bailing out the installation for LWP-Protocol-https-6.04. Retry with --prompt or --force.


上記からNet-SSLeayのビルドに失敗している模様。ううむ。


さらに調べたところ、どうにもSSLのライブラリが入ってないのが原因っぽい。
確かにCentOS入れてから、特に追加した覚えはないけど・・・

yum install openssl-devel zlib-devel readline-devel 


とりあえず上記をyumでインストール。そのあと再びLWP-Protocol-httpsのインストール開始。


今度は成功しました。よかった。

しかし、再度スクリプト実行したところで再びエラーを吐いている・・・
調べたいけど眠気がやばいのでまた今度。



追記)およそ10分後。笑

エラー吐いてた原因は、別に技術的な問題なんかじゃなくて、単なる写経ミスでした。
GETをGetって書いたり、そりゃ動かんですな。

とりあえず動作を確認できたので、1行ずつおっていきたいと思います~。